;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; Stand
[Statedef 0]
type = S
physics = S
sprpriority = 0

[State 0, 1]
type = ChangeAnim
trigger1 = Anim != 0 && Anim != 5
trigger2 = Anim = 5 && AnimTime = 0 ;Turn anim over
value = 0

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = 1
x = 0

[State 0, 4] ;Are you dead?
type = ChangeState
trigger1 = !alive
value = 5050
ctrl = 0

;---------------------------------------------------------------------------
; Stand (Cat Mode Change) (Start)
[Statedef 1]
type = s
physics = s
sprpriority = 0
anim = 15

[State 2, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nowalk
flag2 = nostandguard

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = 1
x = 0

[State 1, 4] ;Change to Stand (Cat Mode)
type = ChangeState
trigger1 = animtime = 0
value = 2
ctrl = 0
;---------------------------------------------------------------------------
; Stand (Cat Mode)
[Statedef 2]
type = C
physics = C
sprpriority = 0
anim = 1
velset = 0,0

[State 2, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nowalk
flag2 = nostandguard

[State 2, Turn]
type = Turn
trigger1 = p2dist x < -15

[State 2, Jump] ;Jump
type = ChangeState
trigger1 = command = "holdup"
value = 55

[State 2, Dash Forward] ;Jash Forward
type = ChangeState
trigger1 = command = "FF"
value = 110

[State 2, Dash Backward] ;Dash Backwards
type = ChangeState
trigger1 = command = "BB"
value = 115

[State 2, Nyah Nyah Blow (Hyper)] ;Nyah Nyah Blow (Hyper)
type = ChangeState
triggerall = power >= 3000
trigger1 = command = "NyahNyahBlow"
value = 3060

[State 2, Cat Rush (EX)] ;Cat Rush (Light)
type = ChangeState
triggerall = power >= 500
trigger1 = command = "QCF_xy"
value = 1020

[State 2, Change Back] ;Change to Stand (Normal)
type = ChangeState
trigger1 = command = "xy"
value = 3

[State 2, Change Back] ;Change to Stand (Normal) (Round Over)
type = ChangeState
trigger1 = Roundstate = 3
value = 3

[State 2, A Purrfect Combination (Hyper)] ;A Purrfect Combination (Hyper)
type = ChangeState
triggerall = power >= 1000
trigger1 = command = "APurrfectCombination"
value = 3010

[State 2, Cat Kick (Light)] ;Cat Kick (Light)
type = ChangeState
trigger1 = command = "QCB_a"
value = 1135

[State 2, Cat Kick (Strong)] ;Cat Kick (Strong)
type = ChangeState
trigger1 = command = "QCB_b"
value = 1145

[State 2, Cat Rush (Light)] ;Cat Rush (Light)
type = ChangeState
trigger1 = command = "QCF_a"
value = 1100

[State 2, Cat Rush (Strong)] ;Cat Rush (Strong)
type = ChangeState
trigger1 = command = "QCF_b"
value = 1110

[State 2, Cat Cradle (Light)] ;Cat Cradle (Light)
type = ChangeState
triggerall = numhelper(1061)<1
triggerall = numhelper(1071)<1
trigger1 = command = "QCB_x"
value = 1060

[State 2, Cat Cradle (Light)] ;Cat Cradle (Light)
type = ChangeState
triggerall = numhelper(1061)<1
triggerall = numhelper(1071)<1
trigger1 = command = "QCB_y"
value = 1070

[State 2, Cat Drill (Light)] ;Cat Drill (Light)
type = ChangeState
trigger1 = command = "FDF_x"
value = 1030

[State 2, Cat Drill (Strong)] ;Cat Drill (Strong)
type = ChangeState
trigger1 = command = "FDF_y"
value = 1040

[State 2, Cat Claw (Light)] ;Cat Claw (Light)
type = ChangeState
trigger1 = command = "QCF_x"
value = 1000

[State 2, Cat Claw (Strong)] ;Cat Claw (Strong)
type = ChangeState
trigger1 = command = "QCF_y"
value = 1010

[State 2, Stand Light Scratch] ;Stand Light Scratch
type = ChangeState
trigger1 = command = "x"
trigger2 = command = "a"
value = 201

[State 2, Stand Strong Scratch] ;Stand Strng Scratch
type = ChangeState
trigger1 = command = "y"
trigger2 = command = "b"
value = 211

[State 2, Taunt] ;Taunt
type = ChangeState
trigger1 = command = "start"
value = 196

;---------------------------------------------------------------------------
; Stand (Cat Mode Change) (End)
[Statedef 3]
type = s
physics = s
sprpriority = 0
anim = 16

[State 2, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nowalk
flag2 = nostandguard

[State 0, 2]
type = VelSet
trigger1 = Time = 0
y = 0

[State 0, 3] ;Stop moving if low velocity or 4 ticks pass
type = VelSet
trigger1 = 1
x = 0

[State 1, 4] ;Change to Stand (Cat Mode)
type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Stand to Crouch
[Statedef 10]
type    = C
physics = C
anim = 10

[State 10, VelSet]
type = VelSet
trigger1 = 1
x = 0

[State 10, 1]
type = VelMul
trigger1 = Time = 0
x = .75

[State 10, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = 1
x = 0

[State 10, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
; Crouching
[Statedef 11]
type    = C
physics = C
anim = 11
sprpriority = 0

[State 11, 1] ;Change from turning animation
type = ChangeAnim
trigger1 = Anim = 6 && AnimTime = 0
value = 11

[State 11, 2] ;Stop moving if low velocity
type = VelSet
trigger1 = abs(vel x) < Const(movement.crouch.friction.threshold)
x = 0

;---------------------------------------------------------------------------
; Crouch to Stand
[Statedef 12]
type    = S
physics = S
anim = 12

[State 12, 1]
type = ChangeState
trigger1 = AnimTime = 0
value = 0

;---------------------------------------------------------------------------
; Jump Start
[Statedef 40]
type    = S
physics = S
anim = 40
ctrl = 0
sprpriority = 1
facep2 = 1

[State 40, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 40, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 40, 3]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 0, VelSet]
type = VelSet
trigger1 = AnimElemtime(1)>0
x = 0 

[State 40, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = const(velocity.jump.y)

[State 40, 5]
type = VelSet
trigger1 = AnimTime = 0
trigger1 = prevstateno = 100 ;RUN_FWD
trigger1 = sysvar(1) = 1
x = const(velocity.runjump.fwd.x)

[State 40, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
; Jump Land
[Statedef 52]
type    = S
physics = S
ctrl = 0
anim = 47

[State 52, 1]
type = VelSet
trigger1 = Time = 0
y = 0

[State 52, 2]
type = PosSet
trigger1 = Time = 0
y = 0

[State 52, 3]
type = CtrlSet
trigger1 = Time = 3
value = 1

[State 52, 4]
type = VelSet
trigger1 = 1
x = 0

[State 52, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Jump Up (After Dizzy Cancel) (Cat Mode)
[Statedef 54]
type    = A
physics = N

[State 54, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 54, 2]
type = ChangeAnim
trigger1 = Time = 0
value = 56

[State 54, 3]
type = ChangeAnim
trigger1 = Vel y > Const720p(-8)
trigger1 = SelfAnimExist(anim + 3)
trigger1 = anim >= 56
persistent = 0
value = Anim + 1

[State 54, Gravity]
type = Gravity
trigger1 = time > 0

[State 54, State End]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 59
ctrl = 0

[State 54, Cat Roll (EX)] ;Cat Roll (EX)
type = ChangeState
trigger1 = command = "QCF_xy"
value = 1220

[State 54, Cat Roll (Light)] ;Cat Roll (Light)
type = ChangeState
trigger1 = command = "QCF_x"
value = 1200

[State 54, Cat Roll (Strong)] ;Cat Roll (Strong)
type = ChangeState
trigger1 = command = "QCF_y"
value = 1210

[State 54, Jump Light Scratch] ;Jump Light Scratch
type = ChangeState
trigger1 = command = "x"
trigger2 = command = "a"
value = 601

[State 54, Jump Strong Scratch] ;Jump Strng Scratch
type = ChangeState
trigger1 = command = "y"
trigger2 = command = "b"
value = 611

;---------------------------------------------------------------------------
; Jump Start (Cat Mode)
[Statedef 55]
type    = S
physics = S
anim = 55
ctrl = 0
sprpriority = 1
facep2 = 1

[State 55, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 55, 2]
type = VarSet
trigger1 = command = "holdfwd"
sysvar(1) = 1

[State 55, 3]
type = VarSet
trigger1 = command = "holdback"
sysvar(1) = -1

[State 55, 4]
type = VelSet
trigger1 = AnimTime = 0
x = ifelse(sysvar(1)=0, const(velocity.jump.neu.x), ifelse(sysvar(1)=1, const(velocity.jump.fwd.x), const(velocity.jump.back.x)))
y = const(velocity.jump.y)

[State 55, 5]
type = VelSet
trigger1 = AnimTime = 0
trigger1 = prevstateno = 110 ;RUN_FWD
trigger1 = sysvar(1) = 1
x = const(velocity.runjump.fwd.x)

[State 55, 6]
type = ChangeState
trigger1 = AnimTime = 0
value = 56
ctrl = 0

;---------------------------------------------------------------------------
; Jump Up (Cat Mode)
[Statedef 56]
type    = A
physics = N

[State 56, 1]
type = VarSet
trigger1 = Time = 0
sysvar(1) = 0

[State 56, 2]
type = ChangeAnim
trigger1 = Time = 0
value = 56

[State 56, 3]
type = ChangeAnim
trigger1 = Vel y > Const720p(-8)
trigger1 = SelfAnimExist(anim + 3)
trigger1 = anim >= 56
persistent = 0
value = Anim + 1

[State 56, Gravity]
type = Gravity
trigger1 = time > 0

[State 56, State End]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 59
ctrl = 0

[State 56, Cat Roll (EX)] ;Cat Roll (EX)
type = ChangeState
triggerall = power >= 500
trigger1 = command = "QCF_xy"
value = 1220

[State 56, Cat Roll (Light)] ;Cat Roll (Light)
type = ChangeState
trigger1 = command = "QCF_x"
value = 1200

[State 56, Cat Roll (Strong)] ;Cat Roll (Strong)
type = ChangeState
trigger1 = command = "QCF_y"
value = 1210

[State 56, Jump Light Scratch] ;Jump Light Scratch
type = ChangeState
trigger1 = command = "x"
trigger2 = command = "a"
value = 601

[State 56, Jump Strong Scratch] ;Jump Strng Scratch
type = ChangeState
trigger1 = command = "y"
trigger2 = command = "b"
value = 611

;---------------------------------------------------------------------------
; Jump Land (Cat Mode)
[Statedef 59]
type    = S
physics = S
ctrl = 0
anim = 59

[State 59, 1]
type = VelSet
trigger1 = Time = 0
y = 0

[State 59, 2]
type = PosSet
trigger1 = Time = 0
y = 0

[State 59, Turn]
type = Turn
trigger1 = AnimElem = 2
trigger1 = p2dist x < -15

[State 59, 4]
type = VelSet
trigger1 = 1
x = 0

[State 59, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 2
ctrl = 0

;---------------------------------------------------------------------------
; Hop Forward (Start)
[Statedef 100]
type    = S
physics = S
ctrl = 0
anim = 47

[State 52, 5]
type = ChangeState
trigger1 = time = 3
value = 101

;---------------------------------------------------------------------------
; Hop forward (Continued)
[Statedef 101]
type    = A
physics = A
anim = 100
sprpriority = 2

[State 101, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 101, NotHitBy]
type = NotHitBy
trigger1 = time < 6
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
;value2 = S,NA

[State 101, 1]
type = VelSet
trigger1 = time = 0
x = const(velocity.run.fwd.x)
y = const(velocity.run.fwd.y)

[State 105, 2]
type = CtrlSet
trigger1 = Time = 1
value = 1

[State 101, Helper]
type = Helper
trigger1 = (Time%4 = 0)
name = "Afterimages Helper"
ID = 104
stateno = 104
postype = p1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

[State 100, 3]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 52

;---------------------------------------------------------------------------
; Hop Backwards (Start)
[Statedef 105]
type    = S
physics = S
ctrl = 0
anim = 47

[State 52, 5]
type = ChangeState
trigger1 = time > 3
value = 106

;---------------------------------------------------------------------------
; Hop backwards
[Statedef 106]
type    = A
physics = A
ctrl = 0
anim = 105
sprpriority = 2

[State 106, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 106, NotHitBy]
type = NotHitBy
trigger1 = time < 6
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
;value2 = S,NA

[State 106, 1]
type = VelSet
trigger1 = Time = 0
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 101, Helper]
type = Helper
trigger1 = (Time%4 = 0)
name = "Afterimages Helper"
ID = 104
stateno = 104
postype = p1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

[State 106, 3]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 52

;---------------------------------------------------------------------------
; Run forward (Cat Mode)
[Statedef 110]
type    = S
physics = S
anim = 110
sprpriority = 1

[State 110, 1]
type = VelSet
trigger1 = 1
x = 18

[State 110, 2] ;Prevent run from canceling into walk
type = AssertSpecial
trigger1 = 1
flag = NoWalk

[State 110, 3] ;Prevent from turning
type = AssertSpecial
trigger1 = 1
flag = NoAutoTurn

[State 101, Helper]
type = Helper
trigger1 = (Time%4 = 0)
name = "Afterimages Helper"
ID = 104
stateno = 104
postype = p1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

[State 110, 4]
type = ChangeState
trigger1 = command != "holdfwd"
value = 2

[State 110, 4]
type = ChangeState
trigger1 = command = "holdup"
value = 55

[State 110, Stand Light Scratch Contact]
type = ChangeState
value = 201
triggerall = command = "x" || command = "a"
trigger1 = stateno = 110

[State 110, Stand Strong Scratch Contact]
type = ChangeState
value = 211
triggerall = command = "y" || command = "b"
trigger1 = stateno = 110

;---------------------------------------------------------------------------
; Hop Backwards (Cat Mode) (Start)
[Statedef 115]
type    = S
physics = S
ctrl = 0
anim = 115

[State 52, 5]
type = ChangeState
trigger1 = time > 3
value = 116

;---------------------------------------------------------------------------
; Hop backwards (Cat Mode) (Continued)
[Statedef 116]
type    = A
physics = N
ctrl = 0
anim = 116
sprpriority = 2

[State 116, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 116, NotHitBy]
type = NotHitBy
trigger1 = time < 6
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
;value2 = S,NA

[State 116, 1]
type = VelSet
trigger1 = Time = 0
x = -18
y = -8

[State 116, Helper]
type = Helper
trigger1 = (Time%4 = 0)
name = "Afterimages Helper"
ID = 104
stateno = 104
postype = p1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0

[State 116, Gravity]
type = Gravity
trigger1 = time > 0

[State 116, 3]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 117

;---------------------------------------------------------------------------
; Hop backwards (Cat Mode) (End)
[Statedef 117]
type    = S
physics = S
ctrl = 0
anim = 115

[State 117, 1]
type = VelSet
trigger1 = Time = 0
y = 0

[State 117, 2]
type = PosSet
trigger1 = Time = 0
y = 0

[State 117, 4]
type = VelSet
trigger1 = 1
x = 0

[State 117, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 2
ctrl = 0

;---------------------------------------------------------------------------
; Downed get-hit (hit ground from fall)
[Statedef 5100]
type    = L
movetype= H
physics = N

[State 5100, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5100, Var] ;Save fall velocity
type = VarSet
trigger1 = Time = 0
sysvar(1) = floor(vel y)

[State 5100, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
trigger1 = (anim != [5051,5059]) && (anim != [5061,5069])
trigger2 = !SelfAnimExist(5100 + (anim % 10))
value = 5100

[State 5100, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
trigger1 = time = 0
trigger1 = (anim = [5051,5059]) || (anim = [5061,5069])
trigger1 = SelfAnimExist(5100 + (anim % 10))
value = 5100 + (anim % 10)

[State 5100, 4]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5100, 5]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5100, 6] ;Reduce speed
type = VelMul
trigger1 = Time = 0
x = 0.75

[State 5100, 7]
type = ChangeState
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) = 0
value = 5110 ;Downed get-hit (lying down)

[State 5100, 8]
type = Explod
trigger1 = Time = 1
anim = 8600
postype = p1
pos = 0,0
scale = 1,1
facing = facing
sprpriority = 0
ownpal = 1

[State 5100, 9]
type = HitFallDamage
trigger1 = Time = 3

[State 5100, 10]
type = PlaySnd
trigger1 = Time = 1
value = F7, (sysvar(1) > Const720p(20)) + (sysvar(1) > Const720p(56))

[State 5100, 11]
type = PosFreeze
trigger1 = 1

[State 5100, 12]
type = ChangeState
trigger1 = AnimTime = 0
value = 5101 ;Downed get-hit (bounce off ground)

[State 5100, 13]
type = ForceFeedback
trigger1 = Time = 0
waveform = sinesquare
ampl = 128,-3,-.2,.005
time = 20

;---------------------------------------------------------------------------
; Downed get-hit (lying down)
[Statedef 5110]
type    = L
movetype= H
physics = N

[State 5110, EnvShake]
type = FallEnvShake
trigger1 = Time = 0

[State 5110, 1] ;For hit up/up-diag type (from state 5081)
type = ChangeAnim
persistent = 0
trigger1 = SelfAnimExist(5110 + (anim % 10))
trigger1 = anim = [5081,5089]
value = 5110 + (anim % 10)

[State 5110, 2] ;Hit ground anim (normal)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim != [5161,5169]
trigger2 = !SelfAnimExist(5170 + (anim % 10))
value = 5170

[State 5110, 3] ;Hit ground anim (for hit up)
type = ChangeAnim
triggerall = time = 0
triggerall = anim != [5110,5119] ;Not already changed anim
trigger1 = anim = [5161,5169]
trigger1 = SelfAnimExist(5170 + (anim % 10))
value = 5170 + (anim % 10)

[State 5110, 4]
type = HitFallDamage
trigger1 = Time = 0

[State 5110, 5]
type = PosSet
trigger1 = Time = 0
y = 0

[State 5110, Var] ;Get fall velocity
type = VarSet
trigger1 = Time = 0
trigger1 = GetHitVar(fall.yvel) != 0
sysvar(1) = floor(vel y)

[State 5110, 6]
type = PlaySnd
trigger1 = Time = 0
trigger1 = !SysVar(0)
value = F7, (sysvar(1) > Const720p(20)) + (sysvar(1) > Const720p(56))

[State 5110, 7]
type = Explod
trigger1 = Time = 0
trigger1 = !SysVar(0)
anim = 6002
postype = p1
pos = 0,0
scale = 1,1
facing = facing
sprpriority = 0
ownpal = 1

[State 5110, 8]
type = VelSet
trigger1 = Time = 0
y = 0

[State 5110, 9] ;For hit up type
type = ChangeAnim
persistent = 0
triggerall = anim = [5171,5179]
triggerall = SelfAnimExist(5110 + (anim % 10))
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground anim
value = 5110 + (anim % 10)

[State 5110, 10] ;For normal
type = ChangeAnim
persistent = 0
triggerall = Anim != [5111,5119]
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
value = 5110

[State 5110, 11] ;If just died
type = ChangeState
triggerall = !alive
trigger1 = AnimTime = 0
trigger2 = SysVar(0) ;SysVar(0) = 1 avoids hit ground frame
trigger3 = Anim = [5110,5119]
value = 5150

[State 5110, 12]
type = VarSet
trigger1 = SysVar(0)
trigger1 = Time = 0
sysvar(0) = 0

[State 5110, 13] ;Friction
type = VelMul
trigger1 = 1
x = 0.85

[State 5110, 14] ;Friction
type = VelSet
trigger1 = abs(Vel x) < Const(movement.down.friction.threshold)
persistent = 0
x = 0

[State 5110, 15]
type = ForceFeedback
trigger1 = alive
trigger1 = Time = 0
time = 8
ampl = 240
waveform = sine

[State 5110, 16]
type = ForceFeedback
trigger1 = !alive
trigger1 = Time = 0
ampl = 200, 7, -.467
time = 30
waveform = sine

;---------------------------------------------------------------------------
; Air get-hit (fall recovery on ground)
[Statedef 5201]
type    = S
movetype= H
physics = N
anim = 5200

[State 5201, 1] ;Turn if not facing opponent
type = Turn
trigger1 = Time = 0
trigger1 = p2dist X < Const720p(-20)

[State 1205, Snd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 47,0

[State 5201, VelSet]
type = VelSet
trigger1 = AnimElemTime(1)< 3
x = -10
y = 0
;ignorehitpause = 
;persistent = 

[State 5201, VelSet End]
type = VelSet
trigger1 = AnimElem = 5
x = 0
y = 0
;ignorehitpause = 
;persistent = 

[State 5201, 3]
type = PosSet
trigger1 = time = 0
y = 0

[State 0, VelAdd]
type = VelAdd
trigger1 = AnimElem = 5
x = 0

[State 5201, 4]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

[State 5201, 5] ;Blink white
type = PalFX
trigger1 = Time = 0
time = 3
add = 128,128,128 ;256,256,256

[State 5201, Dust FX]
type = Explod
trigger1 = time = 0
anim = 6002
pos = 0,0
postype = p1  ;p2,front,back,left,right
facing = 1
bindtime = 1
ownpal = 1
scale = 1,1
sprpriority = 0
ownpal = 1
;
[State 5201, Voice]
type = PlaySnd
trigger1 = time = 0
value = 6071, 0
channel = 0

[State 5201 ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
